.footer__links-item {
    border: 2px solid white;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 0.1rem;
    margin-right: 0.1rem;
}
h1.footer__heading {
    color: #fefefe;
}

.footer {
    background-color: black;

    &__container {
        @include flex(column, 0px, center);
        // background-color:$backgroundFooter;
        // color:$titleColorFooter;
        text-align: center;
        margin: auto;
    }
    &__text {
        @include text-style(16px, normal, none, 28px, #b9b9b9);
    }
    &__contacts {
        @include text-style(16px, normal, none, 26px, #b9b9b9);
    }
    &__links {
        @include flex(row, 0px, center);
    }
    &__links-link {
        border-radius: 50%;
    }
}
.color1 {
    @include iconDesign(#f8902e);
}
.color2 {
    @include iconDesign(#39599f);
}
.color3 {
    @include iconDesign(#45b0e3);
}
.color4 {
    @include iconDesign(#d97ab0);
}
.color5 {
    @include iconDesign(#cc212c);
}

@media (max-width: 767px) {
    .footer {
        &__text {
            @include text-style(12px, normal, none, 20px, #b9b9b9);
            margin-bottom: 2em;
        }
        &__contacts {
            @include text-style(14px, normal, none, 24px, #b9b9b9);
        }
        &__container {
            @include containerPaddings(2rem, 2.5rem, 2rem, 2.5rem);
            max-width: 80%;
        }
        &__links {
            margin-bottom: 2em;
        }
        &__links-item {
            @include iconSize(34px);
        }
    }
    h1.footer__heading {
        margin-bottom: 1em;
    }
}
@media (min-width: 768px) {
    .footer {
        &__text {
            @include text-style(16px, normal, none, 28px, #b9b9b9);
            margin-bottom: 2.5em;
        }
        &__contacts {
            @include text-style(16px, normal, none, 26px, #b9b9b9);
        }
        &__container {
            @include containerPaddings(2rem, 2.5rem, 2rem, 2.5rem);
            max-width: 75%;
        }
        &__links {
            margin-bottom: 2.5em;
        }
        &__links-item {
            @include iconSize(36px);
        }
    }
    h1.footer__heading {
        margin-bottom: 2em;
    }
}
@media (min-width: 1200px) {
    .footer__container {
        max-width: 60%;
    }
}
